Index: LMDZ5/trunk/libf/dyn3dpar/top_bound_p.F
===================================================================
--- LMDZ5/trunk/libf/dyn3dpar/top_bound_p.F	(revision 2596)
+++ LMDZ5/trunk/libf/dyn3dpar/top_bound_p.F	(revision 2597)
@@ -4,9 +4,10 @@
       SUBROUTINE top_bound_p(vcov,ucov,teta,masse,dt)
       USE parallel_lmdz
+      USE comconst_mod, ONLY: iflag_top_bound, mode_top_bound,
+     &                        tau_top_bound
       IMPLICIT NONE
 c
 #include "dimensions.h"
 #include "paramet.h"
-#include "comconst.h"
 #include "comvert.h"
 #include "comgeom2.h"
@@ -40,5 +41,5 @@
 ! NB: top_bound sponge is only called from leapfrog if ok_strato=.true.
 
-! sponge parameters: (loaded/set in conf_gcm.F ; stored in comconst.h)
+! sponge parameters: (loaded/set in conf_gcm.F ; stored in comconst_mod)
 !    iflag_top_bound=0 for no sponge
 !    iflag_top_bound=1 for sponge over 4 topmost layers
Index: LMDZ5/trunk/libf/dyn3dpar/vlsplt_p.F
===================================================================
--- LMDZ5/trunk/libf/dyn3dpar/vlsplt_p.F	(revision 2596)
+++ LMDZ5/trunk/libf/dyn3dpar/vlsplt_p.F	(revision 2597)
@@ -27,5 +27,4 @@
 #include "logic.h"
 #include "comvert.h"
-#include "comconst.h"
 
 c
@@ -210,5 +209,4 @@
 #include "logic.h"
 #include "comvert.h"
-#include "comconst.h"
 c
 c
@@ -539,4 +537,5 @@
 c   --------------------------------------------------------------------
       USE parallel_lmdz
+      USE comconst_mod, ONLY: pi
       IMPLICIT NONE
 c
@@ -545,5 +544,4 @@
 #include "logic.h"
 #include "comvert.h"
-#include "comconst.h"
 #include "comgeom.h"
 c
@@ -934,5 +932,4 @@
 #include "logic.h"
 #include "comvert.h"
-#include "comconst.h"
 c
 c
Index: LMDZ5/trunk/libf/dyn3dpar/vlspltgen_p.F
===================================================================
--- LMDZ5/trunk/libf/dyn3dpar/vlspltgen_p.F	(revision 2596)
+++ LMDZ5/trunk/libf/dyn3dpar/vlspltgen_p.F	(revision 2597)
@@ -27,4 +27,5 @@
       USE VAMPIR
       USE infotrac, ONLY : nqtot
+      USE comconst_mod, ONLY: cpp
       IMPLICIT NONE
 
@@ -34,5 +35,4 @@
 #include "logic.h"
 #include "comvert.h"
-#include "comconst.h"
 
 c
Index: LMDZ5/trunk/libf/dyn3dpar/vlspltqs_p.F
===================================================================
--- LMDZ5/trunk/libf/dyn3dpar/vlspltqs_p.F	(revision 2596)
+++ LMDZ5/trunk/libf/dyn3dpar/vlspltqs_p.F	(revision 2597)
@@ -25,4 +25,5 @@
       USE mod_hallo
       USE VAMPIR
+      USE comconst_mod, ONLY: cpp
       IMPLICIT NONE
 
@@ -32,5 +33,4 @@
 #include "logic.h"
 #include "comvert.h"
-#include "comconst.h"
 
 c
@@ -238,5 +238,4 @@
 #include "logic.h"
 #include "comvert.h"
-#include "comconst.h"
 c
 c
@@ -584,4 +583,5 @@
 c   --------------------------------------------------------------------
       USE parallel_lmdz
+      USE comconst_mod, ONLY: pi
       IMPLICIT NONE
 c
@@ -590,5 +590,4 @@
 #include "logic.h"
 #include "comvert.h"
-#include "comconst.h"
 #include "comgeom.h"
 c
Index: LMDZ5/trunk/libf/dyn3dpar/writedynav_p.F
===================================================================
--- LMDZ5/trunk/libf/dyn3dpar/writedynav_p.F	(revision 2596)
+++ LMDZ5/trunk/libf/dyn3dpar/writedynav_p.F	(revision 2597)
@@ -12,4 +12,5 @@
       USE misc_mod
       USE infotrac
+      USE comconst_mod, ONLY: cpp
       implicit none
 
@@ -42,5 +43,4 @@
 #include "dimensions.h"
 #include "paramet.h"
-#include "comconst.h"
 #include "comvert.h"
 #include "comgeom.h"
Index: LMDZ5/trunk/libf/dyn3dpar/writehist_p.F
===================================================================
--- LMDZ5/trunk/libf/dyn3dpar/writehist_p.F	(revision 2596)
+++ LMDZ5/trunk/libf/dyn3dpar/writehist_p.F	(revision 2597)
@@ -43,5 +43,4 @@
 #include "dimensions.h"
 #include "paramet.h"
-#include "comconst.h"
 #include "comvert.h"
 #include "comgeom.h"
Index: LMDZ5/trunk/libf/dynphy_lonlat/calfis.F
===================================================================
--- LMDZ5/trunk/libf/dynphy_lonlat/calfis.F	(revision 2596)
+++ LMDZ5/trunk/libf/dynphy_lonlat/calfis.F	(revision 2597)
@@ -34,5 +34,6 @@
       USE callphysiq_mod, ONLY: call_physiq
 #endif 
-
+      USE comconst_mod, ONLY: cpp, daysec, dtphys, dtvr, kappa, pi
+      
       IMPLICIT NONE
 c=======================================================================
@@ -96,5 +97,4 @@
       PARAMETER( ngridmx = 2+(jjm-1)*iim - 1/jjm   )
 
-#include "comconst.h"
 #include "comvert.h"
 #include "comgeom2.h"
Index: LMDZ5/trunk/libf/dynphy_lonlat/calfis_loc.F
===================================================================
--- LMDZ5/trunk/libf/dynphy_lonlat/calfis_loc.F	(revision 2596)
+++ LMDZ5/trunk/libf/dynphy_lonlat/calfis_loc.F	(revision 2597)
@@ -50,4 +50,5 @@
       USE callphysiq_mod, ONLY: call_physiq
 #endif 
+      USE comconst_mod, ONLY: cpp, daysec, dtphys, dtvr, kappa, pi
 
 #ifdef CPP_PARA
@@ -107,15 +108,14 @@
 c    ------------------
 
-#include "dimensions.h"
-#include "paramet.h"
-#include "temps.h"
+      include "dimensions.h"
+      include "paramet.h"
+      include "temps.h"
 
       INTEGER ngridmx
       PARAMETER( ngridmx = 2+(jjm-1)*iim - 1/jjm   )
 
-#include "comconst.h"
-#include "comvert.h"
-#include "comgeom2.h"
-#include "iniprint.h"
+      include "comvert.h"
+      include "comgeom2.h"
+      include "iniprint.h"
 #ifdef CPP_MPI
       include 'mpif.h'
Index: LMDZ5/trunk/libf/dynphy_lonlat/calfis_p.F
===================================================================
--- LMDZ5/trunk/libf/dynphy_lonlat/calfis_p.F	(revision 2596)
+++ LMDZ5/trunk/libf/dynphy_lonlat/calfis_p.F	(revision 2597)
@@ -47,4 +47,5 @@
       USE callphysiq_mod, ONLY: call_physiq
 #endif 
+      USE comconst_mod, ONLY: cpp, daysec, dtphys, dtvr, kappa, pi
 
       IMPLICIT NONE
@@ -110,5 +111,4 @@
       PARAMETER( ngridmx = 2+(jjm-1)*iim - 1/jjm   )
 
-#include "comconst.h"
 #include "comvert.h"
 #include "comgeom2.h"
@@ -159,5 +159,6 @@
       REAL,ALLOCATABLE,SAVE :: zphi(:,:),zphis(:)
 c
-      REAL zrot(iip1,jjb_v:jje_v,llm) ! AdlC May 2014
+!      REAL zrot(iip1,jjb_v:jje_v,llm) ! AdlC May 2014
+      REAL :: zrot(iip1,jjm,llm)
       REAL,ALLOCATABLE,SAVE :: zufi(:,:), zvfi(:,:), zrfi(:,:)
       REAL,ALLOCATABLE,SAVE :: ztfi(:,:),zqfi(:,:,:)
Index: LMDZ5/trunk/libf/dynphy_lonlat/phylmd/ce0l.F90
===================================================================
--- LMDZ5/trunk/libf/dynphy_lonlat/phylmd/ce0l.F90	(revision 2596)
+++ LMDZ5/trunk/libf/dynphy_lonlat/phylmd/ce0l.F90	(revision 2597)
@@ -34,4 +34,6 @@
   USE mod_interface_dyn_phys, ONLY: init_interface_dyn_phys
 #endif
+  USE comconst_mod, ONLY: cpp, daysec, dtphys, dtvr, g, kappa, omeg, r, rad, &
+                          pi, jmp1
 
   IMPLICIT NONE
@@ -42,5 +44,4 @@
   include "paramet.h"
   include "comgeom2.h"
-  include "comconst.h"
   include "comvert.h"
   include "iniprint.h"
Index: LMDZ5/trunk/libf/dynphy_lonlat/phylmd/etat0dyn_netcdf.F90
===================================================================
--- LMDZ5/trunk/libf/dynphy_lonlat/phylmd/etat0dyn_netcdf.F90	(revision 2596)
+++ LMDZ5/trunk/libf/dynphy_lonlat/phylmd/etat0dyn_netcdf.F90	(revision 2597)
@@ -36,4 +36,5 @@
   USE ioipsl,         ONLY: flininfo, flinopen, flinget, flinclo, histclo
   USE assert_eq_m,    ONLY: assert_eq
+  USE comconst_mod, ONLY: pi, cpp, kappa
   IMPLICIT NONE
 
@@ -46,5 +47,4 @@
   include "comgeom2.h"
   include "comvert.h"
-  include "comconst.h"
   include "temps.h"
   include "comdissnew.h"
Index: LMDZ5/trunk/libf/dynphy_lonlat/phylmd/etat0phys_netcdf.F90
===================================================================
--- LMDZ5/trunk/libf/dynphy_lonlat/phylmd/etat0phys_netcdf.F90	(revision 2596)
+++ LMDZ5/trunk/libf/dynphy_lonlat/phylmd/etat0phys_netcdf.F90	(revision 2597)
@@ -44,4 +44,5 @@
     zmax0,fevap, rnebcon,falb_dir, wake_fip,    agesno,  detr_therm, pbl_tke,  &
     phys_state_var_init
+  USE comconst_mod, ONLY: pi, dtvr
 
   PRIVATE
@@ -52,5 +53,4 @@
   include "paramet.h"
   include "comgeom2.h"
-  include "comconst.h"
   include "dimsoil.h"
   include "temps.h"
Index: LMDZ5/trunk/libf/dynphy_lonlat/phylmd/iniphysiq_mod.F90
===================================================================
--- LMDZ5/trunk/libf/dynphy_lonlat/phylmd/iniphysiq_mod.F90	(revision 2596)
+++ LMDZ5/trunk/libf/dynphy_lonlat/phylmd/iniphysiq_mod.F90	(revision 2597)
@@ -51,5 +51,4 @@
   include "dimensions.h"
   include "comvert.h"
-  include "comconst.h"
   include "iniprint.h"
   include "temps.h"
Index: LMDZ5/trunk/libf/dynphy_lonlat/phylmd/init_ssrf_m.F90
===================================================================
--- LMDZ5/trunk/libf/dynphy_lonlat/phylmd/init_ssrf_m.F90	(revision 2596)
+++ LMDZ5/trunk/libf/dynphy_lonlat/phylmd/init_ssrf_m.F90	(revision 2597)
@@ -9,4 +9,5 @@
   USE grid_atob_m,        ONLY: grille_m
   USE ioipsl,             ONLY: flininfo, flinopen, flinget, flinclo
+  USE comconst_mod, ONLY: im, pi
 
   CHARACTER(LEN=256), PARAMETER :: icefname="landiceref.nc", icevar="landice"
@@ -17,5 +18,4 @@
   include "paramet.h"
   include "comgeom2.h"
-  include "comconst.h"
 
 CONTAINS
Index: LMDZ5/trunk/libf/dynphy_lonlat/phylmd/limit_netcdf.F90
===================================================================
--- LMDZ5/trunk/libf/dynphy_lonlat/phylmd/limit_netcdf.F90	(revision 2596)
+++ LMDZ5/trunk/libf/dynphy_lonlat/phylmd/limit_netcdf.F90	(revision 2597)
@@ -70,4 +70,5 @@
   USE inter_barxy_m,      ONLY: inter_barxy
   USE netcdf95,           ONLY: nf95_def_var, nf95_put_att, nf95_put_var
+  USE comconst_mod, ONLY: pi
   IMPLICIT NONE
 !-------------------------------------------------------------------------------
@@ -83,5 +84,4 @@
   include "logic.h"
   include "comgeom2.h"
-  include "comconst.h"
 
 !--- INPUT NETCDF FILES NAMES --------------------------------------------------
Index: LMDZ5/trunk/libf/dynphy_lonlat/phylmd/test_disvert_m.F90
===================================================================
--- LMDZ5/trunk/libf/dynphy_lonlat/phylmd/test_disvert_m.F90	(revision 2596)
+++ LMDZ5/trunk/libf/dynphy_lonlat/phylmd/test_disvert_m.F90	(revision 2597)
@@ -15,10 +15,8 @@
     use exner_hyb_m, only: exner_hyb
     use vertical_layers_mod, only: ap,bp,preff
+    use comconst_mod, only: kappa, cpp
 
     ! For llm:
     include "dimensions.h"
-
-    ! For kappa, cpp:
-    include "comconst.h"
 
     ! Local:
Index: LMDZ5/trunk/libf/phylmd/dyn1d/1DUTILS.h
===================================================================
--- LMDZ5/trunk/libf/phylmd/dyn1d/1DUTILS.h	(revision 2596)
+++ LMDZ5/trunk/libf/phylmd/dyn1d/1DUTILS.h	(revision 2597)
@@ -435,4 +435,5 @@
       USE infotrac
       use control_mod
+      USE comconst_mod, ONLY: im, jm, lllm
 
       IMPLICIT NONE
@@ -443,5 +444,4 @@
 !   -------------
       include "dimensions.h"
-      include "comconst.h"
       include "temps.h"
 !!#include "control.h"
@@ -579,4 +579,5 @@
       USE infotrac
       use control_mod
+      USE comconst_mod, ONLY: cpp, daysec, dtvr, g, kappa, omeg, rad
 
       IMPLICIT NONE
@@ -587,5 +588,4 @@
 !   -------------
       include "dimensions.h"
-      include "comconst.h"
       include "temps.h"
 !!#include "control.h"
Index: LMDZ5/trunk/libf/phylmd/dyn1d/comconst_mod.F90
===================================================================
--- LMDZ5/trunk/libf/phylmd/dyn1d/comconst_mod.F90	(revision 2597)
+++ LMDZ5/trunk/libf/phylmd/dyn1d/comconst_mod.F90	(revision 2597)
@@ -0,0 +1,1 @@
+link ../../dyn3d_common/comconst_mod.F90
